%global pkg_name @PACKAGE@

%global common_summary Haskell %{pkg_name} library

%global common_description %{common_summary}

# add any Haskell library dependencies here:
#%%global ghc_pkg_deps ghc-@DEP1@-devel, ghc-@DEP2@-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        @VERSION@
Release:        1%{?dist}
Summary:        Haskell %{pkg_name}

Group:          @GROUP@
License:        @LICENSE@
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%{?ghc_binlib_package}


%prep
%setup -q


%build
# dynamic + prof breaks cabal looking for p_dyn
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
rm -rf $RPM_BUILD_ROOT
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* @DATE@ Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - @VERSION@-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
